#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Взаиморасчеты

Сценарий: Я начинаю создавать график оплаты "ИмяГрафикаОплаты" с формой оплаты "ИмяФормыОплаты"

	И В командном интерфейсе я выбираю 'Деньги' 'Графики оплаты'
	Тогда открылось окно 'Графики оплаты'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'График оплаты (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяГрафикаОплаты'
	И из выпадающего списка с именем "ФормаОплаты" я выбираю точное значение 'ИмяФормыОплаты'

Сценарий: Я заканчиваю создавать график оплаты

	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'График оплаты *' в течение 20 секунд
	Тогда открылось окно 'Графики оплаты'
	И Я закрываю окно 'Графики оплаты'

Сценарий: Я добавляю вариант оплаты "ИмяЭтапаОплаты" с моментом определения "ИмяМоментаОпределенияДаты" со сдвигом "КоличествоСдвигаОплаты" и процентом "КоличествоПроцентовОплаты"

	И в таблице "ЭтапыОплаты" я нажимаю на кнопку с именем 'ЭтапыОплатыДобавить'
	И в таблице "ЭтапыОплаты" из выпадающего списка с именем "ЭтапыОплатыВариантОплаты" я выбираю точное значение 'ИмяЭтапаОплаты'
	И в таблице "ЭтапыОплаты" из выпадающего списка с именем "ЭтапыОплатыМоментОпределенияДаты" я выбираю точное значение 'ИмяМоментаОпределенияДаты'
	И в таблице "ЭтапыОплаты" в поле с именем 'ЭтапыОплатыСдвиг' я ввожу текст 'КоличествоСдвигаОплаты'
	И в таблице "ЭтапыОплаты" в поле с именем 'ЭтапыОплатыПроцент' я ввожу текст 'КоличествоПроцентовОплаты'
	И в таблице "ЭтапыОплаты" я завершаю редактирование строки

Сценарий: Я создаю группу взаиморасчетов "ИмягруппыВзаиморасчетов"

	И В командном интерфейсе я выбираю 'Деньги' 'Группы взаиморасчетов'
	Тогда открылось окно 'Группы взаиморасчетов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Группа взаиморасчетов (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмягруппыВзаиморасчетов'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Группа взаиморасчетов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Группы взаиморасчетов'
	И Я закрываю окно 'Группы взаиморасчетов'

Сценарий: Я заполняю группу взаиморасчетов в товарной категории "ИмяТоварнойКатегории"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И я нажимаю на кнопку с именем 'Справочникк2ТоварныеКатегорииОткрытьСписок'
	Тогда открылось окно 'Товарные категории'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'ИмяТоварнойКатегории' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '* (Товарная категория)'
	И из выпадающего списка с именем "ГруппаВзаиморасчетов" я выбираю по строке 'ИмяТоварнойКатегории'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна '* (Товарная категория) *' в течение 20 секунд
	Тогда открылось окно 'Товарные категории'
	И Я закрываю окно 'Товарные категории'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: Я добавляю уточнение варианта оплаты "ИмяЭтапаОплаты" для "ГруппаВзаиморасчетов" с моментом определения "ИмяМоментаОпределенияДаты" со сдвигом "КоличествоСдвигаОплаты" и процентом "КоличествоПроцентовОплаты"

	И в таблице "УточненияЭтаповОплаты" я нажимаю на кнопку с именем 'УточненияЭтаповОплатыДобавить'
	И в таблице "УточненияЭтаповОплаты" из выпадающего списка с именем "УточненияЭтаповОплатыГруппаВзаиморасчетов" я выбираю по строке 'ГруппаВзаиморасчетов'
	И в таблице "УточненияЭтаповОплаты" из выпадающего списка с именем "УточненияЭтаповОплатыВариантОплаты" я выбираю точное значение 'ИмяЭтапаОплаты'
	И в таблице "УточненияЭтаповОплаты" из выпадающего списка с именем "УточненияЭтаповОплатыМоментОпределенияДаты" я выбираю точное значение 'ИмяМоментаОпределенияДаты'
	И в таблице "УточненияЭтаповОплаты" в поле с именем 'УточненияЭтаповОплатыСдвиг' я ввожу текст 'КоличествоСдвигаОплаты'
	И в таблице "УточненияЭтаповОплаты" в поле с именем 'УточненияЭтаповОплатыПроцентПлатежа' я ввожу текст 'КоличествоПроцентовОплаты'
	И в таблице "УточненияЭтаповОплаты" я завершаю редактирование строки

Сценарий: Я корректирую количество на "Количество" для номенклатуры "ИмяНоменклатуры"
	
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст 'Количество'
	И в таблице "Товары" я завершаю редактирование строки

Сценарий: Я начинаю создавать корректировку на основании реализации товаров "КомментарийРеализацииТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'КомментарийРеализацииТоваров' |
	И я нажимаю на кнопку 'Корректировка реализации товаров'
	Тогда открылось окно 'Корректировка реализации товаров (создание)'
	И я перехожу к закладке с именем "СтраницаТовары"
	
Сценарий: Я заканчиваю создание корректировки на основании реализации товаров

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Корректировка реализации товаров *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я начинаю создавать заявку на возврат на основании реализации товаров "КомментарийРеализацииТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'КомментарийРеализацииТоваров' |
	И я нажимаю на кнопку 'Заявка на возврат товаров от клиента'
	Тогда открылось окно 'Заявка на возврат товаров от клиента (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Согласована'
	И я перехожу к закладке с именем "СтраницаТовары"

Сценарий: Я удаляю номенклатуру "ИмяНоменклатуры" в таблице товаров

	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице 'Товары' я удаляю строку

Сценарий: Я заканчиваю создание заявки на возврат на основании реализации товаров

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Заявка на возврат товаров от клиента *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я начинаю создавать возврат товаров на основании заявки на возврат "КомментарийЗаявкиНаВозврат"

	И В командном интерфейсе я выбираю 'Заказы' 'Заявки на возврат товаров от клиентов'
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                |
		| 'КомментарийЗаявкиНаВозврат' |
	И я нажимаю на кнопку 'Возврат товаров от клиента'
	И я перехожу к закладке с именем "СтраницаТовары"

Сценарий: Я выбираю причину возврата "ПричинаВозвратаТовара" для номенклатуры "ИмяНоменклатуры"

	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    |
		| 'ИмяНоменклатуры' |
	И в таблице "Товары" из выпадающего списка с именем "ТоварыПричинаВозврата" я выбираю по строке 'ПричинаВозвратаТовара'
	И в таблице "Товары" я завершаю редактирование строки

Сценарий: Я заканчиваю создавать возврат товаров на основании заявки на возврат

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Возврат товаров от клиента *' в течение 20 секунд
	Тогда открылось окно 'Заявки на возврат товаров от клиентов'
	И Я закрываю окно 'Заявки на возврат товаров от клиентов'

Сценарий: Я создаю кассу "ИмяКассы" для организации "ИмяОрганизации" и подразделения "ИмяПодразделения" с валютой "ИмяВалюты"

	И В командном интерфейсе я выбираю 'Деньги' 'Кассы'
	Тогда открылось окно 'Кассы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Касса организации (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяКассы'
	И из выпадающего списка с именем "Владелец" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И из выпадающего списка с именем "Валюта" я выбираю по строке 'ИмяВалюты'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Касса организации (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кассы'
	И Я закрываю окно 'Кассы'

Сценарий: Я начинаю создавать поступление ДС на основании реализации товаров "КомментарийРеализацииТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'КомментарийРеализацииТоваров' |
	И я нажимаю на кнопку 'Поступление ДС'
	Тогда открылось окно 'Поступление ДС (создание)'

Сценарий: Я заканчиваю создавать поступление ДС на основании реализации товаров

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Поступление ДС *' в течение 20 секунд
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я начинаю создавать приходный кассовый ордер на основании реализации товаров "КомментарийРеализацииТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                  |
		| 'КомментарийРеализацииТоваров' |
	И я нажимаю на кнопку 'Приходный кассовый ордер'
	Тогда открылось окно 'Приходный кассовый ордер (создание)'

Сценарий: Я заканчиваю создавать приходный кассовый ордер на основании реализации товаров

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Приходный кассовый ордер *' в течение 20 секунд
	И В панели открытых я выбираю 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: Я начинаю создавать расходный кассовый ордер с операцией "ИмяОперации"

	И В командном интерфейсе я выбираю 'Деньги' 'Расходные кассовые ордера'
	Тогда открылось окно 'Расходные кассовые ордера'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Расходный кассовый ордер (создание)'
	И из выпадающего списка с именем "Операция" я выбираю точное значение 'ИмяОперации'

Сценарий: Я заканчиваю создавать расходный кассовый ордер

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Расходный кассовый ордер *' в течение 20 секунд
	Тогда открылось окно 'Расходные кассовые ордера'
	И Я закрываю окно 'Расходные кассовые ордера'

Сценарий: Я начинаю создавать приходный кассовый ордер с операцией "ИмяОперации"

	И В командном интерфейсе я выбираю 'Деньги' 'Приходные кассовые ордера'
	Тогда открылось окно 'Приходные кассовые ордера'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Приходный кассовый ордер (создание)'
	И из выпадающего списка с именем "Операция" я выбираю точное значение 'ИмяОперации'

Сценарий: Я заканчиваю создавать приходный кассовый ордер

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Приходный кассовый ордер *' в течение 20 секунд
	Тогда открылось окно 'Приходные кассовые ордера'
	И Я закрываю окно 'Приходные кассовые ордера'

Сценарий: Я начинаю создавать взаимозачет задолженностей

	И В командном интерфейсе я выбираю 'Деньги' 'Взаимозачеты задолженностей'
	Тогда открылось окно 'Взаимозачеты задолженностей'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Взаимозачет задолженностей (создание)'

Сценарий: Я заканчиваю создавать взаимозачет задолженностей

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Взаимозачет задолженностей *' в течение 20 секунд
	Тогда открылось окно 'Взаимозачеты задолженностей'
	И Я закрываю окно 'Взаимозачеты задолженностей'

Сценарий: Я начинаю создавать списание задолженности

	И В командном интерфейсе я выбираю 'Деньги' 'Списания задолженностей'
	Тогда открылось окно 'Списания задолженностей'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Списание задолженности (создание)'

Сценарий: Я заканчиваю создавать списание задолженности

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Списание задолженности *' в течение 20 секунд
	Тогда открылось окно 'Списания задолженностей'
	И Я закрываю окно 'Списания задолженностей'

Сценарий: Я начинаю создавать сверку взаиморасчетов для организации "ИмяОрганизации" с подразделением "ИмяПодразделения" по "ИмяКонтрагента"

	И В командном интерфейсе я выбираю 'Деньги' 'Сверки взаиморасчетов'
	Тогда открылось окно 'Сверки взаиморасчетов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сверка взаиморасчетов (создание)'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'ИмяКонтрагента'

Сценарий: Я заканчиваю создавать сверку взаиморасчетов

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Сверка взаиморасчетов *' в течение 20 секунд
	Тогда открылось окно 'Сверки взаиморасчетов'
	И Я закрываю окно 'Сверки взаиморасчетов'

Сценарий: Я начинаю создавать лист кассовой книги "ИмяКниги" на "ДатаЛистаКниги" для организации "ИмяОрганизации" с подразделением "ИмяПодразделения"

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Лист кассовой книги (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ДатаЛистаКниги'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И из выпадающего списка с именем "Касса" я выбираю по строке 'ИмяКниги'
	И в поле с именем 'ДатаЛиста' я ввожу текст 'ДатаЛистаКниги'
	И я перехожу к закладке с именем "СтраницаКассовыеОрдера"
	И в таблице "КассовыеОрдера" я нажимаю на кнопку с именем 'КассовыеОрдераЗаполнитьЗаДень'

Сценарий: Я заканчиваю создавать лист кассовой книги

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Лист кассовой книги *' в течение 20 секунд
	Тогда открылось окно 'Листы кассовой книги'
	И Я закрываю окно 'Листы кассовой книги'

Сценарий: Я начинаю создавать инвентаризацию ДС на "ИнвентаризацияДата" для организации "ИмяОрганизации" с подразделением "ИмяПодразделения"

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация наличных ДС (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ИнвентаризацияДата'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'ИмяОрганизации'
	И из выпадающего списка с именем "Подразделение" я выбираю по строке 'ИмяПодразделения'
	И в поле с именем 'ДатаИнвентаризации' я ввожу текст 'ИнвентаризацияДата'
	И я перехожу к закладке с именем "СтраницаДенежныеСредства"
	И в таблице "ДенежныеСредства" я нажимаю на кнопку с именем 'ДенежныеСредстваЗаполнитьПоУчету'

Сценарий: Я заканчиваю создавать инвентаризацию ДС

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Инвентаризация наличных ДС *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И Я закрываю окно 'Инвентаризации наличных ДС'

Сценарий: Я начинаю создавать приходный кассовый ордер по инвентаризации ДС "КомментарийИнвернаризации" на "ДатаОрдера"

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               |
		| 'КомментарийИнвернаризации' |
	И я нажимаю на кнопку 'Приходный кассовый ордер'
	Тогда открылось окно 'Приходный кассовый ордер (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ДатаОрдера'
	И в поле с именем 'ДатаПлатежа' я ввожу текст 'ДатаОрдера'

Сценарий: Я заканчиваю создавать приходный кассовый ордер по инвентаризации ДС

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Приходный кассовый ордер *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И Я закрываю окно 'Инвентаризации наличных ДС'

Сценарий: Я начинаю создавать расходный кассовый ордер по инвентаризации ДС "КомментарийИнвернаризации" на "ДатаОрдера"

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               |
		| 'КомментарийИнвернаризации' |
	И я нажимаю на кнопку 'Расходный кассовый ордер'
	Тогда открылось окно 'Расходный кассовый ордер (создание)'
	И в поле с именем 'Дата' я ввожу текст 'ДатаОрдера'
	И в поле с именем 'ДатаПлатежа' я ввожу текст 'ДатаОрдера'

Сценарий: Я заканчиваю создавать расходный кассовый ордер по инвентаризации ДС

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Расходный кассовый ордер *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И Я закрываю окно 'Инвентаризации наличных ДС'

Сценарий: Я проверяю движения корректировки реализации товаров "КорректировкаРеализацияТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Корректировки реализации товаров'
	Тогда открылось окно 'Корректировки реализации товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                    |
		| 'КорректировкаРеализацияТоваров' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "КорректировкаРеализацияТоваров" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Корректировки реализации товаров'
	И Я закрываю окно 'Корректировки реализации товаров'

Сценарий: Я проверяю движения возврата товаров "ВозвратТоваров"

	И В командном интерфейсе я выбираю 'Заказы' 'Возвраты товаров от клиентов'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'    |
		| 'ВозвратТоваров' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ВозвратТоваров" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И Я закрываю окно 'Возвраты товаров от клиентов'

Сценарий: Я проверяю движения поступления безналичных ДС "ПоступлениеДС"

	И В командном интерфейсе я выбираю 'Деньги' 'Поступления безналичных ДС'
	Тогда открылось окно 'Поступления безналичных ДС'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'   |
		| 'ПоступлениеДС' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ПоступлениеДС" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления безналичных ДС'
	И Я закрываю окно 'Поступления безналичных ДС'

Сценарий: Я закрываю поступление ДС без сохранения

	И Я закрываю окно 'Поступление ДС *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Поступления безналичных ДС'
	И Я закрываю окно 'Поступления безналичных ДС'

Сценарий: Я проверяю движения приходного кассового ордера "ПриходныйКассовыйОрдер"

	И В командном интерфейсе я выбираю 'Деньги' 'Приходные кассовые ордера'
	Тогда открылось окно 'Приходные кассовые ордера'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'            |
		| 'ПриходныйКассовыйОрдер' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ПриходныйКассовыйОрдер" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Приходные кассовые ордера'
	И Я закрываю окно 'Приходные кассовые ордера'

Сценарий: Я проверяю что печатная форма приходного кассового ордера "ПриходныйКассовыйОрдер" равна макету "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Приходные кассовые ордера'
	Тогда открылось окно 'Приходные кассовые ордера'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'            |
		| 'ПриходныйКассовыйОрдер' |
	И я нажимаю на кнопку 'Приходный кассовый ордер'
	Тогда открылось окно 'Приходный кассовый ордер * от * [Создан]'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Приходный кассовый ордер * от * [Создан]'
	Тогда открылось окно 'Приходные кассовые ордера'
	И Я закрываю окно 'Приходные кассовые ордера'

Сценарий: Я проверяю движения расходного кассового ордера "РасходныйКассовыйОрдер"

	И В командном интерфейсе я выбираю 'Деньги' 'Расходные кассовые ордера'
	Тогда открылось окно 'Расходные кассовые ордера'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'            |
		| 'РасходныйКассовыйОрдер' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "РасходныйКассовыйОрдер" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Расходные кассовые ордера'
	И Я закрываю окно 'Расходные кассовые ордера'

Сценарий: Я проверяю что печатная форма расходного кассового ордера "РасходныйКассовыйОрдер" равна макету "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Расходные кассовые ордера'
	Тогда открылось окно 'Расходные кассовые ордера'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'            |
		| 'РасходныйКассовыйОрдер' |
	И я нажимаю на кнопку 'Расходный кассовый ордер'
	Тогда открылось окно 'Расходный кассовый ордер * от * [Создан]'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Расходный кассовый ордер * от * [Создан]'
	Тогда открылось окно 'Расходные кассовые ордера'
	И Я закрываю окно 'Расходные кассовые ордера'

Сценарий: Я проверяю движения взаимозачета задолженностей "ВзаимозачетЗадолженностей"

	И В командном интерфейсе я выбираю 'Деньги' 'Взаимозачеты задолженностей'
	Тогда открылось окно 'Взаимозачеты задолженностей'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'               |
		| 'ВзаимозачетЗадолженностей' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ВзаимозачетЗадолженностей" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Взаимозачеты задолженностей'
	И Я закрываю окно 'Взаимозачеты задолженностей'

Сценарий: Я проверяю движения списания задолженности "СписаниеЗадолженности"

	И В командном интерфейсе я выбираю 'Деньги' 'Списания задолженностей'
	Тогда открылось окно 'Списания задолженностей'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'           |
		| 'СписаниеЗадолженности' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "СписаниеЗадолженности" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Списания задолженностей'
	И Я закрываю окно 'Списания задолженностей'

Сценарий: Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги" равна макету "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'       |
		| 'ЛистКассовойКниги' |
	И я нажимаю на кнопку 'Лист кассовой книги'
	Тогда открылось окно 'Лист кассовой книги * от * [Создан]'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Лист кассовой книги * от * [Создан]'
	Тогда открылось окно 'Листы кассовой книги'
	И Я закрываю окно 'Листы кассовой книги'

Сценарий: Я проверяю что печатная форма инвентаризации наличных ДС "Инвентаризация" равна макету "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Инвентаризации наличных ДС'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'    |
		| 'Инвентаризация' |
	И я нажимаю на кнопку 'ИНВ-15'
	Тогда открылось окно 'Печать документа'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Инвентаризации наличных ДС'
	И Я закрываю окно 'Инвентаризации наличных ДС'

Сценарий: Я открываю отчет Ведомость расчетов с клиентами с периодом "ДатаНачала" "ДатаКонца"

	И В командном интерфейсе я выбираю 'Деньги' 'Отчеты'
	Тогда открылось окно 'Отчеты по финансам'
	И я нажимаю на гиперссылку "Ведомость расчетов с клиентами"
	Тогда открылось окно 'Ведомость расчетов с клиентами'
	И я нажимаю на кнопку с именем 'ВыбратьПериод1'
	И Я указываю в диалоге стандартного периода период с "ДатаНачала" по "ДатаКонца"
	Тогда открылось окно 'Ведомость расчетов с клиентами'
	И я снимаю флаг "Контрагент:"
	И я снимаю флаг "Организация:"
	
Сценарий: Я открываю отчет Задолженность клиентов на дату "ДатаОтчета"

	И В командном интерфейсе я выбираю 'Деньги' 'Отчеты'
	Тогда открылось окно 'Отчеты по финансам'
	И я нажимаю на гиперссылку "Задолженность клиентов"
	Тогда открылось окно 'Задолженность клиентов'
	И я жду доступности элемента "Дата" в течение 20 секунд
	И в поле 'Дата' я ввожу текст 'ДатаОтчета'
	И я снимаю флаг "Контрагент:"
	И я снимаю флаг "Организация:"

Сценарий: Я закрываю отчет Ведомость расчетов с клиентами

	И Я закрываю окно 'Ведомость расчетов с клиентами'
	Тогда открылось окно 'Отчеты по финансам'
	И Я закрываю окно 'Отчеты по финансам'

Сценарий: Я закрываю отчет Задолженность клиентов

	И Я закрываю окно 'Задолженность клиентов'
	Тогда открылось окно 'Отчеты по финансам'
	И Я закрываю окно 'Отчеты по финансам'

Сценарий: Я формирую отчет Ведомость наличных денежных средств в кассах с периодом "ДатаНачала" "ДатаКонца" по организации "ИмяОрганизации" и кассе "ИмяКассы" с макетом "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Отчеты'
	Тогда открылось окно 'Отчеты по финансам'
	И я нажимаю на гиперссылку "Ведомость наличных денежных средств в кассах"
	Тогда открылось окно 'Ведомость наличных денежных средств в кассах'
	И я нажимаю на кнопку с именем 'ВыбратьПериод1'
	И Я указываю в диалоге стандартного периода период с "ДатаНачала" по "ДатаКонца"
	Тогда открылось окно 'Ведомость наличных денежных средств в кассах'
	И из выпадающего списка "Касса" я выбираю по строке 'ИмяКассы'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Ведомость наличных денежных средств в кассах'
	Тогда открылось окно 'Отчеты по финансам'
	И Я закрываю окно 'Отчеты по финансам'

Сценарий: Я формирую отчет Остатки наличных денежных средств в кассах на "ДатаОтчета" по организации "ИмяОрганизации" и кассе "ИмяКассы" с макетом "ИмяМакета"

	И В командном интерфейсе я выбираю 'Деньги' 'Отчеты'
	Тогда открылось окно 'Отчеты по финансам'
	И я нажимаю на гиперссылку "Остатки наличных денежных средств в кассах"
	Тогда открылось окно 'Остатки наличных денежных средств в кассах'
	И я жду доступности элемента "Дата" в течение 20 секунд
	И в поле 'Дата' я ввожу текст 'ДатаОтчета'
	И из выпадающего списка "Касса" я выбираю по строке 'ИмяКассы'
	И из выпадающего списка "Организация" я выбираю по строке 'ИмяОрганизации'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Остатки наличных денежных средств в кассах'
	Тогда открылось окно 'Отчеты по финансам'
	И Я закрываю окно 'Отчеты по финансам'